%global debug_package %{nil}

Name: bottom
Version: 0.6.8
Release: 1%{?dist}
Summary: Yet another cross-platform graphical process/system monitor

License: MIT
URL: https://github.com/ClementTsang/bottom
Source0: %{url}/archive/%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires: cargo >= 1.39
BuildRequires: rust >= 1.39
%endif
BuildRequires: gcc

%description
A cross-platform graphical process/system monitor with a customizable
interface and a multitude of features. Supports Linux, macOS, and Windows.
Inspired by both gtop and gotop.


%prep
%autosetup -p1
%if 0%{?el8}
    curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3

%if 0%{?el8}
    $HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
    cargo install --root=%{buildroot}%{_prefix} --path=.
%endif

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md CHANGELOG.md CONTRIBUTING.md
%{_bindir}/btm


%changelog
* Fri Jul 23 2021 Johan Swensson <kupo@kupo.se> - 0.6.3-1
- new upstream release

* Tue Jul 6 2021 Johan Swensson <kupo@kupo.se> - 0.6.2-1
- new upstream release

* Fri Jun 25 2021 Johan Swensson <kupo@kupo.se> - 0.6.1-2
- fork and rebuild

* Wed May 12 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.1-1
- build(update): 0.6.1

* Sun Jan 31 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.7-1
- build(update): 0.5.7

* Fri Dec 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.6-1
- build(update): 0.5.6

* Tue Dec 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.5-1
- build(update): 0.5.5

* Fri Dec 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.4-1
- build(update): 0.5.4

* Fri Nov 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.3-1
- build(update): 0.5.3

* Thu Nov 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.2-1
- build(update): 0.5.2

* Sun Nov 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-1
- build(update): 0.5.1

* Sat Nov 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- build(update): 0.5.0

* Fri Aug 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.7-1
- Initial package
